# Uses of Class
ch.qos.logback.core.joran.event.SaxEvent

Packages that use SaxEvent
Package
Description
ch.qos.logback.access.sift
ch.qos.logback.classic.sift
ch.qos.logback.core.joran
Contains Joran configuration classes.
ch.qos.logback.core.joran.conditional
ch.qos.logback.core.joran.event
ch.qos.logback.core.joran.spi
ch.qos.logback.core.sift

## Uses of SaxEvent in ch.qos.logback.access.sift

Methods in ch.qos.logback.access.sift that return types with arguments of type SaxEvent
Modifier and Type
Method
Description
`List<SaxEvent>`
SiftAction.`getSeList()`
Methods in ch.qos.logback.access.sift with parameters of type SaxEvent
Modifier and Type
Method
Description
`void`
SiftAction.`inPlay(SaxEvent event)`

## Uses of SaxEvent in ch.qos.logback.classic.sift

Methods in ch.qos.logback.classic.sift that return types with arguments of type SaxEvent
Modifier and Type
Method
Description
`List<SaxEvent>`
SiftAction.`getSeList()`
Methods in ch.qos.logback.classic.sift with parameters of type SaxEvent
Modifier and Type
Method
Description
`void`
SiftAction.`inPlay(SaxEvent event)`

## Uses of SaxEvent in ch.qos.logback.core.joran

Methods in ch.qos.logback.core.joran that return types with arguments of type SaxEvent
Modifier and Type
Method
Description
`List<SaxEvent>`
GenericConfigurator.`recallSafeConfiguration()`
Recall the event list previously registered as a safe point.
Method parameters in ch.qos.logback.core.joran with type arguments of type SaxEvent
Modifier and Type
Method
Description
`void`
GenericConfigurator.`doConfigure(List<SaxEvent> eventList)`
`void`
GenericConfigurator.`registerSafeConfiguration(List<SaxEvent> eventList)`
Register the current event list in currently in the interpreter as a safe configuration point.

## Uses of SaxEvent in ch.qos.logback.core.joran.conditional

Method parameters in ch.qos.logback.core.joran.conditional with type arguments of type SaxEvent
Modifier and Type
Method
Description
`void`
IfAction.`setElseSaxEventList(List<SaxEvent> elseSaxEventList)`
`void`
IfAction.`setThenSaxEventList(List<SaxEvent> thenSaxEventList)`

## Uses of SaxEvent in ch.qos.logback.core.joran.event

Subclasses of SaxEvent in ch.qos.logback.core.joran.event
Modifier and Type
Class
Description
`class`
`BodyEvent`
`class`
`EndEvent`
`class`
`StartEvent`
Fields in ch.qos.logback.core.joran.event with type parameters of type SaxEvent
Modifier and Type
Field
Description
`List<SaxEvent>`
SaxEventRecorder.`saxEventList`
Methods in ch.qos.logback.core.joran.event that return types with arguments of type SaxEvent
Modifier and Type
Method
Description
`List<SaxEvent>`
SaxEventRecorder.`getSaxEventList()`
`List<SaxEvent>`
SaxEventRecorder.`recordEvents(InputSource inputSource)`
Methods in ch.qos.logback.core.joran.event with parameters of type SaxEvent
Modifier and Type
Method
Description
`void`
InPlayListener.`inPlay(SaxEvent event)`

## Uses of SaxEvent in ch.qos.logback.core.joran.spi

Methods in ch.qos.logback.core.joran.spi that return types with arguments of type SaxEvent
Modifier and Type
Method
Description
`List<SaxEvent>`
EventPlayer.`getCopyOfPlayerEventList()`
Return a copy of the current event list in the player.
Method parameters in ch.qos.logback.core.joran.spi with type arguments of type SaxEvent
Modifier and Type
Method
Description
`void`
EventPlayer.`addEventsDynamically(List<SaxEvent> eventList, int offset)`
`void`
EventPlayer.`play(List<SaxEvent> aSaxEventList)`

## Uses of SaxEvent in ch.qos.logback.core.sift

Methods in ch.qos.logback.core.sift that return types with arguments of type SaxEvent
Modifier and Type
Method
Description
`List<SaxEvent>`
AbstractAppenderFactoryUsingJoran.`getEventList()`
Method parameters in ch.qos.logback.core.sift with type arguments of type SaxEvent
Modifier and Type
Method
Description
`void`
SiftingJoranConfiguratorBase.`doConfigure(List<SaxEvent> eventList)`
Constructor parameters in ch.qos.logback.core.sift with type arguments of type SaxEvent
Modifier
Constructor
Description
`protected`
`AbstractAppenderFactoryUsingJoran(List<SaxEvent> eventList, String key, Map<String,String> parentPropertyMap)`